	.psect	.prog.
stdinn:
	jsr	r0,__csav
	sub	$40,sp
	mov	$177777,r0
	mov	r0,-10(r5)
	mov	r0,-6(r5)
	mov	r0,-4(r5)
	mov	r0,-2(r5)
	mov	$177777,r0
	mov	r0,-20(r5)
	mov	r0,-16(r5)
	mov	r0,-14(r5)
	mov	r0,-12(r5)
	clr	-22(r5)
	.psect	.strn.
.3:
	.byte	157
	.byte	55
	.byte	157
	.byte	55
	.byte	157
	.byte	0
	.psect	.prog.
	.psect	.strn.
.4:
	.byte	157
	.byte	157
	.byte	157
	.byte	0
	.psect	.prog.
	mov	$.3,(sp)
	jsr	pc,match
	tst	r0
	bne	.77777
	mov	$.4,(sp)
	jsr	pc,match
	tst	r0
	beq	.2
.77777:
	mov	$6,-2(r5)
	mov	$3,-16(r5)
	mov	$1,-6(r5)
	mov	$2,-20(r5)
	clr	-10(r5)
	br	.5
.2:
	.psect	.strn.
.7:
	.byte	157
	.byte	55
	.byte	157
	.byte	0
	.psect	.prog.
	.psect	.strn.
.10:
	.byte	157
	.byte	157
	.byte	0
	.psect	.prog.
	mov	$.7,(sp)
	jsr	pc,match
	tst	r0
	bne	.77776
	mov	$.10,(sp)
	jsr	pc,match
	tst	r0
	beq	.6
.77776:
	mov	$6,-2(r5)
	mov	$3,-16(r5)
	mov	$1,-20(r5)
	br	.5
.6:
	mov	r5,(sp)
	add	$177762,(sp)
	mov	r5,-(sp)
	add	$177766,(sp)
	mov	r5,-(sp)
	add	$177772,(sp)
	mov	r5,-(sp)
	add	$177776,(sp)
	jsr	pc,stdpin
	add	$6,sp
	mov	sbufp,r0
	inc	sbufp
	movb	(r0),r0
	mov	r0,-24(r5)
	cmp	-24(r5),$52
	beq	.77775
	cmp	-24(r5),$170
	bne	.11
.77775:
	mov	r5,(sp)
	add	$177760,(sp)
	mov	r5,-(sp)
	add	$177764,(sp)
	mov	r5,-(sp)
	add	$177770,(sp)
	mov	r5,-(sp)
	add	$177774,(sp)
	jsr	pc,stdpin
	add	$6,sp
	br	.12
.11:
	cmp	-24(r5),$55
	bne	.13
	mov	r5,(sp)
	add	$177760,(sp)
	mov	r5,-(sp)
	add	$177764,(sp)
	mov	r5,-(sp)
	add	$177770,(sp)
	jsr	pc,stdbin
	cmp	(sp)+,(sp)+
	br	.14
.13:
	dec	sbufp
.14:
.12:
.5:
	mov	sbufp,r0
	inc	sbufp
	movb	(r0),r0
	mov	r0,-24(r5)
	cmp	-24(r5),$53
	bne	.15
	mov	$1,-22(r5)
	mov	sbufp,r0
	inc	sbufp
	movb	(r0),r0
	mov	r0,-24(r5)
.15:
	tst	-24(r5)
	beq	.16
	clr	r0
	br	.1
.16:
	mov	lmp,r0
	mov	r0,-32(r5)
	mov	r0,-30(r5)
	tst	mantom
	beq	.77774
	jsr	pc,bagen
	br	.77773
.77774:
	jsr	pc,wagen
.77773:
	mov	$177777,-26(r5)
	clr	-36(r5)
.20:
	cmp	-30(r5),lmp
	beq	.17
	add	$2,-30(r5)
	mov	$10,-(sp)
	mov	*-30(r5),-(sp)
	.globl	asr_i
	jsr	pc,asr_i
	cmp	(sp)+,(sp)+
	asl	r0
	add	$board,r0
	mov	(r0),-40(r5)
	tst	mantom
	beq	.77772
	mov	*-30(r5),(sp)
	jsr	pc,bmove
	br	.77771
.77772:
	mov	*-30(r5),(sp)
	jsr	pc,wmove
.77771:
	mov	amp,r0
	mov	-6(r0),-34(r5)
	mov	-16(r5),(sp)
	mov	-12(r5),-(sp)
	mov	-6(r5),-(sp)
	mov	-2(r5),-(sp)
	mov	amp,r0
	mov	-10(r0),-(sp)
	mov	-40(r5),-(sp)
	jsr	pc,pcomp
	add	$12,sp
	tst	r0
	beq	.21
	mov	-20(r5),(sp)
	mov	-14(r5),-(sp)
	mov	-10(r5),-(sp)
	mov	-4(r5),-(sp)
	mov	-34(r5),-(sp)
	mov	amp,r0
	mov	-4(r0),-(sp)
	jsr	pc,pcomp
	add	$12,sp
	tst	r0
	beq	.22
	jsr	pc,check
	mov	r0,(sp)
	mov	-22(r5),-(sp)
	jsr	pc,comp
	tst	(sp)+
	tst	r0
	beq	.23
	tst	-26(r5)
	blt	.24
	tst	-36(r5)
	bne	.25
	.psect	.strn.
.26:
	.byte	141
	.byte	155
	.byte	142
	.byte	151
	.byte	147
	.byte	165
	.byte	157
	.byte	165
	.byte	163
	.byte	12
	.byte	0
	.psect	.prog.
	mov	$.26,(sp)
	jsr	pc,printf
	mov	$1,-36(r5)
.25:
.24:
	mov	*-30(r5),-26(r5)
.23:
.22:
.21:
	add	$2,-30(r5)
	tst	mantom
	beq	.77770
	jsr	pc,bremove
	br	.77767
.77770:
	jsr	pc,wremove
.77767:
	br	.20
.17:
	mov	-32(r5),lmp
	tst	-36(r5)
	beq	.27
	mov	$177777,r0
	br	.1
.27:
	mov	-26(r5),r0
.1:
	jmp	__cret
stdpin:
	jsr	r0,__csav
	tst	-(sp)
	mov	sbufp,r0
	inc	sbufp
	movb	(r0),r0
	mov	r0,-2(r5)
	cmp	-2(r5),$161
	bne	.31
	clr	*14(r5)
	mov	20(r5),(sp)
	mov	16(r5),-(sp)
	mov	14(r5),-(sp)
	mov	12(r5),-(sp)
	jsr	pc,stdpin
	add	$6,sp
	br	.30
.31:
	cmp	-2(r5),$153
	bne	.32
	mov	$1,*14(r5)
	mov	20(r5),(sp)
	mov	16(r5),-(sp)
	mov	14(r5),-(sp)
	mov	12(r5),-(sp)
	jsr	pc,stdpin
	add	$6,sp
	br	.30
.32:
	cmp	-2(r5),$160
	bne	.33
	mov	$1,*12(r5)
	tst	*14(r5)
	blt	.34
	mov	$3,*20(r5)
.34:
	br	.35
.33:
	cmp	-2(r5),$156
	bne	.36
	mov	$2,*12(r5)
	br	.37
.36:
	cmp	-2(r5),$142
	bne	.40
	mov	$3,*12(r5)
	br	.37
.40:
	cmp	-2(r5),$162
	bne	.41
	mov	$4,*12(r5)
	br	.37
.41:
	dec	sbufp
	br	.35
.37:
	cmpb	*sbufp,$160
	bne	.42
	mov	$3,-(sp)
	mov	*12(r5),-(sp)
	dec	(sp)
	.globl	mod_i
	jsr	pc,mod_i
	cmp	(sp)+,(sp)+
	mov	r0,*20(r5)
	mov	$1,*12(r5)
	inc	sbufp
.42:
.35:
	tst	*12(r5)
	bge	.43
	tst	*14(r5)
	blt	.43
	mov	*14(r5),r0
	add	$5,r0
	mov	r0,*12(r5)
	mov	$177777,*14(r5)
.43:
	cmpb	*sbufp,$57
	bne	.44
	inc	sbufp
	mov	20(r5),(sp)
	mov	16(r5),-(sp)
	mov	14(r5),-(sp)
	jsr	pc,stdbin
	cmp	(sp)+,(sp)+
.44:
.30:
	jmp	__cret
stdbin:
	jsr	r0,__csav
	tst	-(sp)
.46:
	mov	sbufp,r0
	inc	sbufp
	movb	(r0),r0
	mov	r0,-2(r5)
	cmp	-2(r5),$161
	bne	.47
	clr	*12(r5)
	br	.50
.47:
	cmp	-2(r5),$153
	bne	.51
	mov	$1,*12(r5)
.50:
	mov	16(r5),(sp)
	mov	14(r5),-(sp)
	mov	12(r5),-(sp)
	jsr	pc,stdbin
	cmp	(sp)+,(sp)+
	tst	*16(r5)
	bge	.52
	mov	$3,*16(r5)
.52:
	br	.45
.51:
	cmp	-2(r5),$162
	bne	.53
	clr	*16(r5)
	br	.46
.53:
	cmp	-2(r5),$156
	bne	.54
	mov	$1,*16(r5)
	br	.46
.54:
	cmp	-2(r5),$142
	bne	.55
	mov	$2,*16(r5)
	br	.46
.55:
	cmp	-2(r5),$60
	ble	.56
	cmp	-2(r5),$71
	bge	.56
	mov	-2(r5),r0
	sub	$61,r0
	mov	r0,*14(r5)
	br	.57
.56:
	dec	sbufp
.57:
.45:
	jmp	__cret
pcomp:
	jsr	r0,__csav
	sub	$6,sp
	mov	$10,-(sp)
	mov	14(r5),-(sp)
	.globl	mod_i
	jsr	pc,mod_i
	cmp	(sp)+,(sp)+
	mov	r0,-4(r5)
	mov	$10,-(sp)
	mov	14(r5),-(sp)
	.globl	div_i
	jsr	pc,div_i
	cmp	(sp)+,(sp)+
	mov	r0,-2(r5)
	tst	mantom
	bne	.61
	mov	$7,r0
	sub	-2(r5),r0
	mov	r0,-2(r5)
.61:
	cmp	-4(r5),$3
	ble	.62
	mov	$7,r0
	sub	-4(r5),r0
	mov	r0,-4(r5)
	mov	$1,-6(r5)
	br	.63
.62:
	clr	-6(r5)
.63:
	mov	12(r5),(sp)
	mov	16(r5),-(sp)
	jsr	pc,comp
	tst	(sp)+
	tst	r0
	beq	.64
	mov	-6(r5),(sp)
	mov	20(r5),-(sp)
	jsr	pc,comp
	tst	(sp)+
	tst	r0
	beq	.65
	mov	-2(r5),(sp)
	mov	22(r5),-(sp)
	jsr	pc,comp
	tst	(sp)+
	tst	r0
	beq	.66
	mov	-4(r5),(sp)
	mov	24(r5),-(sp)
	jsr	pc,comp
	tst	(sp)+
	tst	r0
	beq	.67
	mov	$1,r0
	br	.60
.67:
.66:
.65:
.64:
	clr	r0
.60:
	jmp	__cret
comp:
	jsr	r0,__csav
	tst	12(r5)
	bge	.71
	mov	$1,r0
	br	.70
.71:
	mov	14(r5),(sp)
	jsr	pc,abs
	cmp	r0,12(r5)
	bne	.77766
	mov	$1,r0
	br	.77765
.77766:
	clr	r0
.77765:
.70:
	jmp	__cret
abs:
	jsr	r0,__csav
	tst	12(r5)
	bge	.73
	mov	12(r5),r0
	neg	r0
	br	.72
.73:
	mov	12(r5),r0
.72:
	jmp	__cret
	.globl	abs
	.globl	wremove
	.globl	bremove
	.globl	printf
	.globl	check
	.globl	comp
	.globl	pcomp
	.globl	wmove
	.globl	bmove
	.globl	wagen
	.globl	bagen
	.globl	stdbin
	.globl	stdpin
	.globl	match
	.globl	stdinn
	.globl	sbuf
	.globl	ambuf
	.globl	lmbuf
	.globl	board
	.globl	dir
	.globl	ipval
	.globl	pval
	.globl	edge
	.globl	column
	.globl	wkpos
	.globl	bkpos
	.globl	eppos
	.globl	flag
	.globl	depth
	.globl	mfmt
	.globl	ivalue
	.globl	value
	.globl	ply
	.globl	mantom
	.globl	lastmov
	.globl	sbufp
	.globl	amp
	.globl	lmp
	.globl	abmove
	.globl	game
	.globl	gval
	.globl	moveno
	.globl	intrp
	.globl	matflg
	.globl	manflg
	.globl	bookp
	.globl	bookf
	.globl	mdepth
	.globl	qdepth
	.globl	testf
	.globl	clktim
	.globl	control
	.globl	bheur
	.globl	wheur
	.globl	center
	.globl	attacv
	.globl	__csav
	.globl	__cret
	.psect	.prog.
	.even
	.psect	.data.
	.even
	.psect	.mwcn.
	.even
	.psect	.prof.
	.even
